public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] proj/gentoo-mate:1.14-bump commit in: mate-extra/mate-utils/
@ 2016-09-05 13:56 Ettore Di Giacinto
  0 siblings, 0 replies; 3+ messages in thread
From: Ettore Di Giacinto @ 2016-09-05 13:56 UTC (permalink / raw
  To: gentoo-commits

commit:     64ae55f2c3588b9bc5b559f607ac756bb73fd635
Author:     mudler <mudler <AT> sabayon <DOT> org>
AuthorDate: Mon Sep  5 13:56:16 2016 +0000
Commit:     Ettore Di Giacinto <mudler <AT> sabayonlinux <DOT> org>
CommitDate: Mon Sep  5 13:56:16 2016 +0000
URL:        https://gitweb.gentoo.org/proj/gentoo-mate.git/commit/?id=64ae55f2

mate-extra/mate-utils: Version bump to 1.14.1

Package-Manager: portage-2.2.26

 mate-extra/mate-utils/Manifest                 |  1 +
 mate-extra/mate-utils/mate-utils-1.14.1.ebuild | 65 ++++++++++++++++++++++++++
 2 files changed, 66 insertions(+)

diff --git a/mate-extra/mate-utils/Manifest b/mate-extra/mate-utils/Manifest
index ea4e0c0..d1799bb 100644
--- a/mate-extra/mate-utils/Manifest
+++ b/mate-extra/mate-utils/Manifest
@@ -1,2 +1,3 @@
 DIST mate-utils-1.10.4.tar.xz 6482724 SHA256 a15610f42c5b4f4f2cd6aef876080912297edde5ba568dfd42f066afc876d491 SHA512 7d162f21efec756abb4429e7e4ed461286ea0fda9e7279610eb8e9fe4b5af1782759f28b98574042e3c9e5cdfd2d00e0f59a16ea56a1852af47f35a8c7e99f79 WHIRLPOOL 3689a7c4921c53369c5a8b009de276a50b7420799528ec55bdba03493a9b4f6ebf4d21216a31bdffc2968fbfb83355c2f077d694c75e60fca1ad3af7a2989b13
 DIST mate-utils-1.12.0.tar.xz 6482900 SHA256 60da98d984065d5001ba23f7fb02fb2acd1c1ec864e4a2730274f8791a96d69f SHA512 fe1db5c04b3adc616fdd0f76ddfb1291bbbfb6fb7d2f9ab11c5ffc33e19e0487ba3581babdfe74dd64553fd07f7d986fbac08fe2b14bcb79fca315e365069e47 WHIRLPOOL 36d00040b6d655e78192f5554ee773fe5998a9395040fa0ef5b3d9560d73e8cb582fbc750136f5581dc462cea6ad2e7306cdc94027a6d63d5f1e8aacc3dc1699
+DIST mate-utils-1.14.1.tar.xz 6498448 SHA256 6632c1fe72187ed1d77ee8e55cf70885b2611c086b606b92010d2a4f193ab4dd SHA512 7c95fe390f83ee90405929025039ccef186ebf268f85e45a0dda0483b5de9bb67a6d3bbbe1a55315787996118c6bdf6a4fb29ad7236428eef89750c058b886e4 WHIRLPOOL 7cd60dc07f1c75c053c783064eb10c87711189d2b5b4b0e9258a4f9c7b78bf1e141b64a30e37cdfcb82bf8e04599a2032641f08b2617c61fe24c7bcbd7f24c85

diff --git a/mate-extra/mate-utils/mate-utils-1.14.1.ebuild b/mate-extra/mate-utils/mate-utils-1.14.1.ebuild
new file mode 100644
index 0000000..9570167
--- /dev/null
+++ b/mate-extra/mate-utils/mate-utils-1.14.1.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+MATE_LA_PUNT="yes"
+
+inherit mate
+
+if [[ ${PV} != 9999 ]]; then
+	KEYWORDS="~amd64 ~arm ~x86"
+fi
+
+DESCRIPTION="Utilities for the MATE desktop"
+LICENSE="GPL-2"
+SLOT="0"
+
+IUSE="X applet debug gtk3 ipv6 test"
+
+COMMON_DEPEND="
+	dev-libs/atk:0
+	>=dev-libs/glib-2.36:2
+	>=gnome-base/libgtop-2.12:2=
+	sys-libs/zlib:0
+	x11-libs/cairo:0
+	x11-libs/gdk-pixbuf:2
+	x11-libs/libICE:0
+	x11-libs/libSM:0
+	x11-libs/libX11:0
+	x11-libs/libXext:0
+	x11-libs/pango:0
+	applet? ( >=mate-base/mate-panel-1.6[gtk3(-)=] )
+	!gtk3? (
+		>=x11-libs/gtk+-2.24:2
+		>=media-libs/libcanberra-0.4:0[gtk]
+	)
+	gtk3? (
+		>=x11-libs/gtk+-3.0:3
+		>=media-libs/libcanberra-0.4:0[gtk3]
+	)"
+
+RDEPEND="${COMMON_DEPEND}"
+
+DEPEND="${COMMON_DEPEND}
+	app-text/rarian:0
+	>=app-text/scrollkeeper-dtd-1:1.0
+	app-text/yelp-tools:0
+	dev-util/gtk-doc
+	dev-util/gtk-doc-am
+	>=dev-util/intltool-0.50.1:*
+	x11-proto/xextproto:0
+	sys-devel/gettext:*
+	virtual/pkgconfig:*"
+
+src_configure() {
+	mate_src_configure \
+		--disable-maintainer-flags \
+		--enable-zlib \
+		--enable-debug=$(usex debug yes minimum) \
+		--with-gtk=$(usex gtk3 3.0 2.0) \
+		$(use_with X x) \
+		$(use_enable applet gdict-applet) \
+		$(use_enable ipv6)
+}


^ permalink raw reply related	[flat|nested] 3+ messages in thread

* [gentoo-commits] proj/gentoo-mate:1.14-bump commit in: mate-extra/mate-utils/
  2016-09-10 18:56 [gentoo-commits] proj/gentoo-mate:master commit in: mate-extra/mate-utils/ NP Hardass
@ 2016-09-05 18:46 ` NP Hardass
  0 siblings, 0 replies; 3+ messages in thread
From: NP Hardass @ 2016-09-05 18:46 UTC (permalink / raw
  To: gentoo-commits

commit:     df338fc3f6788bdc87a048dc7e74ad56581e6093
Author:     NP-Hardass <NP-Hardass <AT> gentoo <DOT> org>
AuthorDate: Mon Sep  5 18:44:25 2016 +0000
Commit:     NP Hardass <np-hardass <AT> gentoo <DOT> org>
CommitDate: Mon Sep  5 18:45:35 2016 +0000
URL:        https://gitweb.gentoo.org/proj/gentoo-mate.git/commit/?id=df338fc3

mate-extra/mate-utils: Make utils available on all DEs, #585252

Package-Manager: portage-2.3.0

 .../{mate-utils-1.10.4.ebuild => mate-utils-1.10.4-r1.ebuild}     | 6 +++++-
 mate-extra/mate-utils/mate-utils-1.12.0-r2.ebuild                 | 8 ++++++++
 mate-extra/mate-utils/mate-utils-1.14.1.ebuild                    | 8 ++++++++
 mate-extra/mate-utils/mate-utils-9999.ebuild                      | 8 ++++++++
 4 files changed, 29 insertions(+), 1 deletion(-)

diff --git a/mate-extra/mate-utils/mate-utils-1.10.4.ebuild b/mate-extra/mate-utils/mate-utils-1.10.4-r1.ebuild
similarity index 92%
rename from mate-extra/mate-utils/mate-utils-1.10.4.ebuild
rename to mate-extra/mate-utils/mate-utils-1.10.4-r1.ebuild
index 20f6771..8005839 100644
--- a/mate-extra/mate-utils/mate-utils-1.10.4.ebuild
+++ b/mate-extra/mate-utils/mate-utils-1.10.4-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
@@ -66,6 +66,10 @@ src_prepare() {
 	# Fix up desktop files.
 	LC_ALL=C find . -iname '*.desktop.in*' -exec \
 		sed -e 's/Categories\(.*\)MATE/Categories\1X-MATE/' -i {} + || die
+
+	# Make apps visible in all DEs.
+	LC_ALL=C find . -iname '*.desktop.in*' -exec \
+		sed -e '/OnlyShowIn/d' -i {} + || die
 }
 
 src_configure() {

diff --git a/mate-extra/mate-utils/mate-utils-1.12.0-r2.ebuild b/mate-extra/mate-utils/mate-utils-1.12.0-r2.ebuild
index 1022226..5369732 100644
--- a/mate-extra/mate-utils/mate-utils-1.12.0-r2.ebuild
+++ b/mate-extra/mate-utils/mate-utils-1.12.0-r2.ebuild
@@ -52,6 +52,14 @@ DEPEND="${RDEPEND}
 
 PATCHES=( "${FILESDIR}/${P}-dict-gtk3.patch" )
 
+src_prepare() {
+	# Make apps visible in all DEs.
+	LC_ALL=C find . -iname '*.desktop.in*' -exec \
+		sed -e '/OnlyShowIn/d' -i {} + || die
+
+	mate_src_prepare
+}
+
 src_configure() {
 	mate_src_configure \
 		--disable-maintainer-flags \

diff --git a/mate-extra/mate-utils/mate-utils-1.14.1.ebuild b/mate-extra/mate-utils/mate-utils-1.14.1.ebuild
index 9570167..a5f7e8d 100644
--- a/mate-extra/mate-utils/mate-utils-1.14.1.ebuild
+++ b/mate-extra/mate-utils/mate-utils-1.14.1.ebuild
@@ -53,6 +53,14 @@ DEPEND="${COMMON_DEPEND}
 	sys-devel/gettext:*
 	virtual/pkgconfig:*"
 
+src_prepare() {
+	# Make apps visible in all DEs.
+	LC_ALL=C find . -iname '*.desktop.in*' -exec \
+		sed -e '/OnlyShowIn/d' -i {} + || die
+
+	mate_src_prepare
+}
+
 src_configure() {
 	mate_src_configure \
 		--disable-maintainer-flags \

diff --git a/mate-extra/mate-utils/mate-utils-9999.ebuild b/mate-extra/mate-utils/mate-utils-9999.ebuild
index 9570167..a5f7e8d 100644
--- a/mate-extra/mate-utils/mate-utils-9999.ebuild
+++ b/mate-extra/mate-utils/mate-utils-9999.ebuild
@@ -53,6 +53,14 @@ DEPEND="${COMMON_DEPEND}
 	sys-devel/gettext:*
 	virtual/pkgconfig:*"
 
+src_prepare() {
+	# Make apps visible in all DEs.
+	LC_ALL=C find . -iname '*.desktop.in*' -exec \
+		sed -e '/OnlyShowIn/d' -i {} + || die
+
+	mate_src_prepare
+}
+
 src_configure() {
 	mate_src_configure \
 		--disable-maintainer-flags \


^ permalink raw reply related	[flat|nested] 3+ messages in thread

* [gentoo-commits] proj/gentoo-mate:master commit in: mate-extra/mate-utils/
@ 2016-09-10 18:56 NP Hardass
  2016-09-05 18:46 ` [gentoo-commits] proj/gentoo-mate:1.14-bump " NP Hardass
  0 siblings, 1 reply; 3+ messages in thread
From: NP Hardass @ 2016-09-10 18:56 UTC (permalink / raw
  To: gentoo-commits

commit:     df338fc3f6788bdc87a048dc7e74ad56581e6093
Author:     NP-Hardass <NP-Hardass <AT> gentoo <DOT> org>
AuthorDate: Mon Sep  5 18:44:25 2016 +0000
Commit:     NP Hardass <np-hardass <AT> gentoo <DOT> org>
CommitDate: Mon Sep  5 18:45:35 2016 +0000
URL:        https://gitweb.gentoo.org/proj/gentoo-mate.git/commit/?id=df338fc3

mate-extra/mate-utils: Make utils available on all DEs, #585252

Package-Manager: portage-2.3.0

 .../{mate-utils-1.10.4.ebuild => mate-utils-1.10.4-r1.ebuild}     | 6 +++++-
 mate-extra/mate-utils/mate-utils-1.12.0-r2.ebuild                 | 8 ++++++++
 mate-extra/mate-utils/mate-utils-1.14.1.ebuild                    | 8 ++++++++
 mate-extra/mate-utils/mate-utils-9999.ebuild                      | 8 ++++++++
 4 files changed, 29 insertions(+), 1 deletion(-)

diff --git a/mate-extra/mate-utils/mate-utils-1.10.4.ebuild b/mate-extra/mate-utils/mate-utils-1.10.4-r1.ebuild
similarity index 92%
rename from mate-extra/mate-utils/mate-utils-1.10.4.ebuild
rename to mate-extra/mate-utils/mate-utils-1.10.4-r1.ebuild
index 20f6771..8005839 100644
--- a/mate-extra/mate-utils/mate-utils-1.10.4.ebuild
+++ b/mate-extra/mate-utils/mate-utils-1.10.4-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
@@ -66,6 +66,10 @@ src_prepare() {
 	# Fix up desktop files.
 	LC_ALL=C find . -iname '*.desktop.in*' -exec \
 		sed -e 's/Categories\(.*\)MATE/Categories\1X-MATE/' -i {} + || die
+
+	# Make apps visible in all DEs.
+	LC_ALL=C find . -iname '*.desktop.in*' -exec \
+		sed -e '/OnlyShowIn/d' -i {} + || die
 }
 
 src_configure() {

diff --git a/mate-extra/mate-utils/mate-utils-1.12.0-r2.ebuild b/mate-extra/mate-utils/mate-utils-1.12.0-r2.ebuild
index 1022226..5369732 100644
--- a/mate-extra/mate-utils/mate-utils-1.12.0-r2.ebuild
+++ b/mate-extra/mate-utils/mate-utils-1.12.0-r2.ebuild
@@ -52,6 +52,14 @@ DEPEND="${RDEPEND}
 
 PATCHES=( "${FILESDIR}/${P}-dict-gtk3.patch" )
 
+src_prepare() {
+	# Make apps visible in all DEs.
+	LC_ALL=C find . -iname '*.desktop.in*' -exec \
+		sed -e '/OnlyShowIn/d' -i {} + || die
+
+	mate_src_prepare
+}
+
 src_configure() {
 	mate_src_configure \
 		--disable-maintainer-flags \

diff --git a/mate-extra/mate-utils/mate-utils-1.14.1.ebuild b/mate-extra/mate-utils/mate-utils-1.14.1.ebuild
index 9570167..a5f7e8d 100644
--- a/mate-extra/mate-utils/mate-utils-1.14.1.ebuild
+++ b/mate-extra/mate-utils/mate-utils-1.14.1.ebuild
@@ -53,6 +53,14 @@ DEPEND="${COMMON_DEPEND}
 	sys-devel/gettext:*
 	virtual/pkgconfig:*"
 
+src_prepare() {
+	# Make apps visible in all DEs.
+	LC_ALL=C find . -iname '*.desktop.in*' -exec \
+		sed -e '/OnlyShowIn/d' -i {} + || die
+
+	mate_src_prepare
+}
+
 src_configure() {
 	mate_src_configure \
 		--disable-maintainer-flags \

diff --git a/mate-extra/mate-utils/mate-utils-9999.ebuild b/mate-extra/mate-utils/mate-utils-9999.ebuild
index 9570167..a5f7e8d 100644
--- a/mate-extra/mate-utils/mate-utils-9999.ebuild
+++ b/mate-extra/mate-utils/mate-utils-9999.ebuild
@@ -53,6 +53,14 @@ DEPEND="${COMMON_DEPEND}
 	sys-devel/gettext:*
 	virtual/pkgconfig:*"
 
+src_prepare() {
+	# Make apps visible in all DEs.
+	LC_ALL=C find . -iname '*.desktop.in*' -exec \
+		sed -e '/OnlyShowIn/d' -i {} + || die
+
+	mate_src_prepare
+}
+
 src_configure() {
 	mate_src_configure \
 		--disable-maintainer-flags \


^ permalink raw reply related	[flat|nested] 3+ messages in thread

end of thread, other threads:[~2016-09-10 18:57 UTC | newest]

Thread overview: 3+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2016-09-10 18:56 [gentoo-commits] proj/gentoo-mate:master commit in: mate-extra/mate-utils/ NP Hardass
2016-09-05 18:46 ` [gentoo-commits] proj/gentoo-mate:1.14-bump " NP Hardass
  -- strict thread matches above, loose matches on Subject: below --
2016-09-05 13:56 Ettore Di Giacinto

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox